# ResultHandler

interface ResultHandler<T>

A handler for an asynchronous operation which returns an object of type T.

#### Since

1.0-milestone-3

#### Parameters

<T>

The result type.

## Functions

onComplete
Link copied to clipboard
abstract fun onComplete(result: T)
Handles successful completion of the operation.
onFailure
Link copied to clipboard
abstract fun onFailure(failure: GradleConnectionException)
Handles a failed operation.